package main

import (
	"fmt"
	"os"
	"strconv"

	"code.ur.gs/lupine/ordoor/internal/data"
)

func main() {
	switch os.Args[1] {
	case "index", "i":
		idx, err := strconv.ParseInt(os.Args[2], 16, 64)
		if err != nil {
			fmt.Println("Usage: palette-idx i <0-255>")
			os.Exit(1)
		}

		fmt.Printf("Palette[%v]: %#v\n", idx, data.ColorPalette[idx])
	case "color", "colour", "c":
		fmt.Println("TODO!")
		os.Exit(1)
	}

}
